> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prompt template

> 
Retrieve a prompt template's metadata by ID. Use to check if a template exists or get its latest version ID.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/prompt-templates/id/{template_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/prompt-templates/id/{template_id}:
    get:
      tags:
        - Prompt Templates
      summary: Get prompt template
      description: >-

        Retrieve a prompt template's metadata by ID. Use to check if a template
        exists or get its latest version ID.
      operationId: get_get_prompt_template
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: template_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  latest_template_version_id:
                    default: null
                    title: Latest Template Version Id
                    format: uuid
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - name
                title: PromptTemplateInfo
                type: object
          description: >-
            PromptTemplateInfo(id: uuid.UUID, name: str,
            latest_template_version_id: Optional[uuid.UUID] = None)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````